<?php

/**
 * adHome - Joomla Template
 *
 * @package bt_adhome
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_adhome
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require(dirname(__FILE__) . '/template.inc.php');
global $tpl;
$tpl = new TplBtAdhome();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

if ($tpl->show_menu)
	$cmenu_items_js = <<<EOF
<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

EOF;
else
	$cmenu_items_js = '';

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
$cmenu_css
<style type="text/css">
.wrapper { width: {$tpl->width}px; }
</style>
<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js
$cmenu_items_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>

</head>

EOF;


echo '<body>' . "\n";

if ($tpl->seocp) {
	echo '<div style="display:none">' . "\n";
	$tpl->echo_mainbody_pragma();
	echo '</div>' . "\n";
}

echo '<div id="r1"></div>' . "\n";

echo '<div id="r2"><div class="wrapper">' . "\n";
$tpl->echo_positions(array('top1', 'top2', 'top3', 'top4'));

echo '	<div id="spacer1"></div>' . "\n";
echo '	<table id="header" cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

$cmenu_start = $tpl->show_menu && !$tpl->modcount('header_left');

if (!$cmenu_start) {
	echo '		<td width="1" height="38"><img src="' . $tpl->path . '/images/layout/header_left.gif" alt="" border="0" /></td>' . "\n";
	echo '		<td class="header_back"> &nbsp; </td>' . "\n";
}

if ($tpl->modcount('header_left')) {
	echo '		<td class="header_back"' . $tpl->td_width('header_left', true) . '>' . "\n";
	$tpl->echo_position('header_left');
	echo '		</td>' . "\n";
	echo '		<td class="header_back"> &nbsp; </td>' . "\n";
}

if ($tpl->show_menu) {
	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		$btn_type = $mi->selection == 0 ? 'norm' : 'sel';

		if ($cmenu_start && $i == 0 && $mi->selection == 0)
			echo '		<td width="1" height="38"><img src="' . $tpl->path . '/images/layout/header_left.gif" alt="" border="0" /></td>' . "\n";
		else
			echo '		<td class="header_back cmenu_hd_' . $btn_type . '_edge"></td>' . "\n";

		printf(
			'		<td class="header_back cmenu_hd_%s_body" id="%s">%s%s</td>' . "\n",
			$btn_type,
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img class="cmenu_more" src="' . $tpl->path . '/images/layout/menu_more.gif" alt=""/>'
		);

		echo '		<td class="header_back cmenu_hd_' . $btn_type . '_edge"></td>' . "\n";
	}
}
else if ($tpl->modcount('header')) {
	echo '		<td class="header_back"' . $tpl->td_width('header') . '>' . "\n";
	$tpl->echo_position('header');
	echo '		</td>' . "\n";
}
else {
	echo '		<td class="header_back"> &nbsp; </td>' . "\n";
}

if ($tpl->modcount('header_right')) {
	echo '		<td class="header_back"> &nbsp; </td>' . "\n";
	echo '		<td class="header_back"' . $tpl->td_width('header_right', true) . '>' . "\n";
	$tpl->echo_position('header_right');
	echo '		</td>' . "\n";
}

echo '		<td width="12" height="38"><img src="' . $tpl->path . '/images/layout/header_right.gif" alt="" border="0" /></td>' . "\n";

echo '	</tr></table>' . "\n";

echo '</div></div>' . "\n";

echo '<div id="r3"><div class="wrapper">' . "\n";

echo '<div id="pathway1"><div id="pathway2"><div id="pathway3"><div id="pathway">' . "\n";
echo '	<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>' . "\n";
echo '	<span id="pathway_notice">' . $tpl->str('You are here') . '</span>' . "\n";
$tpl->echo_pathway();
echo '</div></div></div></div>' . "\n";

echo '	<div class="vgap"></div>' . "\n";

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '	<td valign="top"' . $tpl->td_width('left') . '>' . "\n";
	$tpl->echo_position('left');
	echo '	</td>' . "\n";

	echo '	<td class="tdgap"></td>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '	<td valign="top">' . "\n";

$tpl->echo_positions(array('newsflash1', 'newsflash2', 'newsflash3'), 'spacer2');

$tpl->echo_mainbody_wrapper();

$tpl->echo_positions(array('ad1', 'ad2', 'ad3'), 'spacer3', false);

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '	</td>' . "\n";

if ($tpl->modcount('right')) {
	echo '	<td class="tdgap"></td>' . "\n";

	echo '	<td valign="top"' . $tpl->td_width('right') . '>' . "\n";
	$tpl->echo_position('right');
	echo '	</td>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '</tr></table>' . "\n";

echo '	<div class="vgap"></div>' . "\n";

echo '</div></div>' . "\n";

if ($tpl->modcount('red1') || $tpl->modcount('red2') || $tpl->modcount('red3') || $tpl->modcount('red4')) {
	echo '<div id="r4"><div class="wrapper">' . "\n";
	echo '	<div class="vgap"></div>' . "\n";
	$tpl->echo_positions(array('red1', 'red2', 'red3', 'red4'));
	echo '	<div class="vgap"></div>' . "\n";
	echo '</div></div>' . "\n";
}

if ($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3') || $tpl->modcount('bottom4')) {
	echo '<div id="r5"></div>' . "\n";
	
	echo '<div id="r6"><div class="wrapper">' . "\n";
	echo '	<div class="vgap"></div>' . "\n";
	$tpl->echo_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'));
	echo '	<div class="vgap"></div>' . "\n";
	echo '</div></div>' . "\n";
}

echo '<div id="r7"><div class="wrapper">' . "\n";
echo '	<div class="vgap"></div>' . "\n";
echo '		<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
echo '			<td valign="top">' . "\n";

if ($tpl->lshow)
	echo '				<a id="lshow" href="http://joomfans.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a>' . "\n";

echo '				<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a>' . "\n";
echo '			</td>' . "\n";
foreach (array('footer1', 'footer2', 'footer3', 'footer4') as $position_name) {
	if ($tpl->modcount($position_name)) {
		echo '			<td class="tdgap"></td>' . "\n";
		echo '			<td valign="top"' . $tpl->td_width($position_name) . '>' . "\n";
		$tpl->echo_position($position_name, true, true);
		echo '			</td>' . "\n";
	}
}
echo '		</tr></table>' . "\n";
echo '	<div class="vgap"></div>' . "\n";
echo '</div></div>' . "\n";

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF
</body>
</html>

EOF;

?>